@keyframes blinka {
  0% {
    background-color: #00000000;
  }
  10% {
    background-color: #00000033;
  }
  20% {
    background-color: #00000000;
  }
  30% {
    background-color: #00000033;
  }
  40% {
    background-color: #00000000;
  }

  100% {
    background-color: #00000000;
  }
}

html,
body {
  overflow: hidden !important;
  outline: 0;
}

.naomostra {
  display: none;
}

#pas_LivroComponente,
#pres_LivroComponente,
#fut_LivroComponente {
  width: 100% !important;
  height: calc(100dvh - 60px) !important;
  position: relative;
  z-index: 2;
  transition: transform 0.4s ease-in;
}

#pas_LivroFuturo,
#pres_LivroFuturo,
#fut_LivroFuturo {
  width: 100% !important;
  height: calc(100dvh - 60px) !important;
  position: relative;
  z-index: 3;
  transition: transform 0.4s ease-in;
}

#timeline {
  position: fixed;
  bottom: -78dvh;
  height: 72dvh;
  width: calc(100% - 50px);
  left: 20px;
  z-index: 800;
  transition: transform 0.4s ease-in;
}

#pas_LivroComponente.show,
#pres_LivroComponente.show,
#fut_LivroComponente.show,
#pas_LivroFuturo.show,
#pres_LivroFuturo.show,
#fut_LivroFuturo.show {
  transform: rotateX(-16deg) translateZ(-80px) translateY(-75dvh);
}

#timeline.show,
#timeline.show {
  transform: translateY(-82dvh);
}

#kode {
  position: fixed;
  z-index: 500;
  width: calc(100% - 120px);
  background-color: transparent;
  left: 60px;
  bottom: 0px;
  height: 30px;
  cursor: pointer;
}

#kode.show {
  bottom: 78dvh;
}

#mais {
  position: fixed;
  z-index: 500;
  width: 20px;
  border-right: 10px solid #00000000;
  background-color: transparent;
  right: 0;
  top: 100px;
  height: calc(100dvh - 220px);
  cursor: pointer;
  transition: border 0.3s ease-in;
}

#mais:hover {
  border-right: 10px solid #00000066;
}

#mais.blink {
  animation-name: blinka;
  animation-duration: 3.3s;
  animation-delay: 6s;
  animation-iteration-count: 5;
  animation-direction: normal;
}

#menos {
  position: fixed;
  z-index: 500;
  width: 20px;
  border-left: 10px solid #00000000;
  background-color: transparent;
  left: 0;
  top: 100px;
  height: calc(100dvh - 220px);
  cursor: pointer;
  transition: border 0.3s ease-in;
}

#menos:hover {
  border-left: 10px solid #00000066;
}

#pas_BlocoCover.initdouble,
#pres_BlocoCover.initdouble,
#fut_BlocoCover.initdouble,
#pas_BlocoBack.initdouble,
#pres_BlocoBack.initdouble,
#fut_BlocoBack.initdouble,
#pas_BlocoFundoD.initdouble,
#pres_BlocoFundoD.initdouble,
#fut_BlocoFundoD.initdouble,
#pas_BlocoFundoE.initdouble,
#pres_BlocoFundoE.initdouble,
#fut_BlocoFundoE.initdouble {
  width: calc(100vw - 60px) !important;
  transform: translateX(0) !important;
}

#pas_PaginaCover.initdouble,
#pres_PaginaCover.initdouble,
#fut_PaginaCover.initdouble,
#pas_PaginaBack.initdouble,
#pres_PaginaBack.initdouble,
#fut_PaginaBack.initdouble,
#pas_PaginaFundo_DIR.initdouble,
#pres_PaginaFundo_DIR.initdouble,
#fut_PaginaFundo_DIR.initdouble,
#pas_PaginaFundo_ESQ.initdouble,
#pres_PaginaFundo_ESQ.initdouble,
#fut_PaginaFundo_ESQ.initdouble {
  transform-origin: left center;
  width: calc(100vw - 60px);
}

#pas_Ifr_PaginaCover.initdouble,
#pres_Ifr_PaginaCover.initdouble,
#fut_Ifr_PaginaCover.initdouble,
#pas_Ifr_PaginaBack.initdouble,
#pres_Ifr_PaginaBack.initdouble,
#fut_Ifr_PaginaBack.initdouble,
#pas_Ifr_PaginaFundo_DIR.initdouble,
#pres_Ifr_PaginaFundo_DIR.initdouble,
#fut_Ifr_PaginaFundo_DIR.initdouble,
#pas_Ifr_PaginaFundo_ESQ.initdouble,
#pres_Ifr_PaginaFundo_ESQ.initdouble,
#fut_Ifr_PaginaFundo_ESQ.initdouble {
  width: calc(100vw - 60px);
}

#pas_Wrap,
#pres_Wrap,
#fut_Wrap,
#pas_WrapFuturo,
#pres_WrapFuturo,
#fut_WrapFuturo {
  width: calc(100vw - 60px);
  height: calc(100dvh - 60px);
  padding: 0;
  overflow: hidden;
  margin: 20px;
}

#pas_PaginaFundo_ESQ,
#pres_PaginaFundo_ESQ,
#fut_PaginaFundo_ESQ {
  width: calc(50vw - 30px);
  height: calc(100dvh - 60px);

  display: inline-block;
  margin: 0;
  position: absolute;
  z-index: 2;
  transform: translateX(0px);
  box-shadow: 10px 10px 10px #00000044;
}

#pas_PaginaFundo_DIR,
#pres_PaginaFundo_DIR,
#fut_PaginaFundo_DIR {
  width: calc(50vw - 30px);
  height: calc(100dvh - 60px);

  display: inline-block;
  margin: 0;
  position: absolute;
  transform: translateX(calc(50vw - 30px));
  box-shadow: 10px 10px 10px #00000044;
}
#pas_BlocoCover,
#pres_BlocoCover,
#fut_BlocoCover {
  width: calc(50vw - 30px);
  height: calc(100dvh - 60px);

  perspective: 1400px;
  display: inline-block;
  margin: 0;
  position: absolute;
  z-index: 10;
  transform: translateX(calc(50vw - 30px));
}

#pas_PaginaCover,
#pres_PaginaCover,
#fut_PaginaCover {
  width: calc(50vw - 30px);
  height: calc(100dvh - 60px);
  transform-origin: left center;
  overflow: hidden;
}

#pas_BlocoBack,
#pres_BlocoBack,
#fut_BlocoBack {
  width: calc(50vw - 30px);
  height: calc(100dvh - 60px);

  perspective: 1400px;
  display: inline-block;
  margin: 0;
  position: absolute;
  transform: translateX(calc(50vw - 30px));
}

#pas_PaginaBack,
#pres_PaginaBack,
#fut_PaginaBack {
  width: calc(50vw - 30px);
  height: calc(100dvh - 60px);
  transform-origin: left center;
}

#pas_Ifr_PaginaCover,
#pres_Ifr_PaginaCover,
#fut_Ifr_PaginaCover {
  width: calc(50vw - 30px);
  height: calc(100dvh - 60px);
}

#pas_Ifr_PaginaBack,
#pres_Ifr_PaginaBack,
#fut_Ifr_PaginaBack {
  transform: scaleX(-1);

  width: calc(50vw - 30px);
  height: calc(100dvh - 60px);
}
#pas_Ifr_PaginaFundo_DIR,
#pres_Ifr_PaginaFundo_DIR,
#fut_Ifr_PaginaFundo_DIR {
  width: calc(50vw - 30px);
  height: calc(100dvh - 60px);
}

#pas_Ifr_PaginaFundo_ESQ,
#pres_Ifr_PaginaFundo_ESQ,
#fut_Ifr_PaginaFundo_ESQ {
  width: calc(50vw - 30px);
  height: calc(100dvh - 60px);
}
